#!/bin/sh
# This script is used to setup modem connected to /dev/ttyS1
# feed2Cu.sh will give input to "cu" and the output is processed by
# outFromCu.sh script.
# 

# let us allow cu to use this line
chmod a+rwx /dev/ttyS1

# let us kill those using ttyS1
fuser -k /dev/ttyS1 > /dev/null 2>&1
sleep 4

HWMODEL=`/sbin/sin | /bin/grep "Platform" | /bin/sed -e"s/[ ]*//g" | /usr/bin/cut -d, -f1 | /usr/bin/cut -d: -f2 2> /dev/null`
case "$HWMODEL" in
"SWBD10"|"SWBD21"|"SWBD42")
	# allow execution
	;;
*)
	echo "setmodem.sh not supported on this platform"
	exit
	;;
esac

#
# we divert fd's 2 and 3 to null because cu is too talkative
#

feed2Cu.sh | cu  -l ttyS1 2>/dev/null 3>/dev/null | outFromCu.sh
exit 0
